unit IniWrite;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Registry;

type
  TIniWrite = class(TComponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
	 SKName : string;
	 ReadRString : string;
         StringValue: string;
         notifyuser: boolean;
         notifymsg: String;
         procedure SetSubKeyName(value : string);
         procedure SetReadString(value : string);
         procedure Setnotifyuser(value : boolean);
         procedure SetNotifyMessage(value : string);
         procedure WriteString(value: string);
  published
	 property SubKeyName : string read SKName write SetSubKeyName;
	 property ReadString : string read ReadRString write SetReadString;
	 property Notify : boolean read notifyuser write Setnotifyuser;
  	 property NotifyMessage : string read notifymsg write SetNotifyMessage;
  end;

procedure Register;

implementation

procedure TIniWrite.SetSubKeyName(value : string);
begin
	if SKName <> value Then
		begin
           SKName:= value;
		end;
end;

procedure TIniWrite.SetReadString(value : string);
begin
	if ReadRString <> value Then
		begin
           ReadRString:= value;
		end;
end;

procedure TIniWrite.Setnotifyuser(value : boolean);
begin
notifyuser := value
end;

procedure TIniWrite.SetNotifyMessage(value : string);
begin
	if notifymsg <> value Then
		begin
           notifymsg:= value;
		end;
end;


procedure TIniWrite.WriteString(value: string);
var
Reg: TRegistry;
newvalue: string;
begin
newvalue := value;
              Reg := TRegistry.Create();
              Reg.Rootkey:=HKEY_CURRENT_USER;
              Reg.OpenKey(SKName, True);
              Reg.WriteString(ReadRString,newvalue);

       if notifyuser then
       begin
             ShowMessage(notifymsg);
       end;
end;


procedure Register;
begin
  RegisterComponents('Vultureboy', [TIniWrite]);
end;

end.
