unit IniRead;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Registry;

type
  TIniRead = class(TComponent)
  private

  protected
    { Protected declarations }
  public
	 SKName : string;
	 ReadRString : string;
         StringValue: string;
         procedure SetSubKeyName(value : string);
         procedure SetReadString(value : string);
         procedure FindStringValue;
  published
	 property SubKeyName : string read SKName write SetSubKeyName;
	 property ReadString : string read ReadRString write SetReadString;
  end;

procedure Register;

implementation


procedure TIniRead.SetSubKeyName(value : string);
begin
	if SKName <> value Then
		begin
           SKName:= value;
		end;
end;

procedure TIniRead.SetReadString(value : string);
begin
	if ReadRString <> value Then
		begin
           ReadRString:= value;
		end;
end;

procedure TIniRead.FindStringValue;
var
Reg: TRegistry;
begin
              Reg := TRegistry.Create();
              Reg.Rootkey:=HKEY_CURRENT_USER;
              Reg.OpenKey(SKName, False);
              StringValue := Reg.ReadString(ReadRString);
end;

procedure Register;
begin
  RegisterComponents('Vultureboy', [TIniRead]);
end;

end.
